--- lua-gd/Makefile.orig	1979-12-31 00:00:00
+++ lua-gd/Makefile	2023-03-18 09:03:10
@@ -1,13 +1,12 @@
-all: gd lua-gd
+# see https://github.com/luarocks/luarocks/wiki/Creating-a-Makefile-that-plays-nice-with-LuaRocks
 
-gd:lib-gd/configure
-	cd ./lib-gd && pwd && chmod +x ./configure && ./configure && make -i clean && make && make install && cd ..
+all: lib-lua-gd/libgd.so
 
-lua-gd:lib-lua-gd/luagd.c
-	cd ./lib-lua-gd && pwd && make -i clean && make && cd ..
+lib-lua-gd/libgd.so: lib-lua-gd/libgd.o
+	$(CC) -o $@ -L$(LUA_LIBDIR) $(LIBFLAG) `pkg-config --libs gdlib` $<
 
-install:lib-gd/.libs/libgd.so.2.0.0 lib-lua-gd/gd.so
-	cp lib-gd/.libs/libgd.so.2.0.0 /usr/lib64/
-	rm -f /usr/lib64/libgd.so.2
-	ln -s /usr/lib64/libgd.so.2.0.0 /usr/lib64/libgd.so.2
-	cp ./lib-lua-gd/gd.so /usr/local/lib/lua/5.1
\ No newline at end of file
+lib-lua-gd/libgd.o: lib-lua-gd/luagd.c
+	$(CC) -c -I$(LUA_INCDIR) $(CPPFLAGS) $(CFLAGS) $< -o $@
+
+install: lib-lua-gd/libgd.so
+	$(INSTALL) -m 0755 lib-lua-gd/libgd.so $(LIBDIR)/gd.so
